> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific record by ID

> Retrieves a single record with all its attributes



## OpenAPI

````yaml /api-reference/openapi.json get /v1/records/{record_id}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/records/{record_id}:
    get:
      tags:
        - Records
      summary: Get a specific record by ID
      description: Retrieves a single record with all its attributes
      operationId: getRecord
      parameters:
        - description: Record ID
          name: record_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Record details with attributes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.RecordResponse'
        '400':
          description: Bad request - Invalid record ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: Record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.RecordResponse:
      type: object
      properties:
        attributes:
          type: object
          additionalProperties: {}
        created_at:
          type: string
        id:
          type: string
        object_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
        workspace_id:
          type: string
      example:
        id: '32414268188027655'
        object_id: '32414268188027650'
        type: person
        workspace_id: '32414268188027645'
        created_at: '2024-01-15T14:20:00Z'
        updated_at: '2024-01-20T09:15:00Z'
        attributes:
          name:
            first_name: Alice
            last_name: Johnson
          email_addresses:
            - alice@techcorp.com
          job_title: Product Manager
          phone_number:
            country_code: 1
            number: '5551112222'
          location:
            street: 456 Innovation Dr
            city: Austin
            region: TX
            postal_code: '73301'
            country: US
          linkedin:
            username: alicejohnson
            url: https://linkedin.com/in/alicejohnson
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````